This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 61920 - ~/.wine directory missing, needs autocreate
~/.wine directory missing, needs autocreate
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: wine (Show other bugs)
skipjack-beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-03-25 18:01 EST by Warren Togami
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-26 15:56:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-03-25 18:01:30 EST
From Bugzilla Helper:  
User-Agent: Mozilla/5.0 (compatible; Konqueror/2.99 (3.0 rc3); Linux)  
  
Description of problem:  
Attempting to run any wine application fails with  
wineserver: chdir /home/warren/.wine : No such file or directory  
  
If you create the ~/.wine directory manually then wine works.  
  
Version-Release number of selected component (if applicable):  
Red Hat skipjack beta1  
  
How reproducible:  
Everytime  
  
Steps to Reproduce:  
1. Login as any user.  
2. Attempt to run any wine application.  
  
Expected Results:  It should create the ~/.wine directory if it does not exist.
Comment 1 Warren Togami 2002-03-26 04:43:40 EST
winelauncher has a button to copy the default config to ~/.wine.  Can anything
be added to the Red Hat wine package to make this automatic if ~/.wine does not
exist?
Comment 2 Elliot Peele 2002-03-26 15:56:48 EST
if you do descide to add this as a default for every new user you would have to
add them to the wine group in order for them to be able to do much of anything.
you might want to add soemting to copy /etc/wine.userreg to $HOME/.wine/user.reg
and /etc/wine.system.reg to $HOME/.wine/system.reg
Comment 3 Bernhard Rosenkraenzer 2002-03-27 10:34:53 EST
Fixed in 20020327-1

Note You need to log in before you can comment on or make changes to this bug.